Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# TAO_UIOP_Profile Class Reference

This class defines the protocol specific attributes required for locating ORBs over local IPC. More...

`#include <UIOP_Profile.h>`

Inheritance diagram for TAO_UIOP_Profile:

[legend]
Collaboration diagram for TAO_UIOP_Profile:

[legend]
List of all members.

## Public Methods
virtual char | object_key_delimiter (void) const
| TAO_UIOP_Profile (const ACE_UNIX_Addr &addr, const TAO::ObjectKey &object_key, const TAO_GIOP_Message_Version &version, TAO_ORB_Core *orb_core)
| TAO_UIOP_Profile (const char *rendezvous_point, const TAO::ObjectKey &object_key, const ACE_UNIX_Addr &addr, const TAO_GIOP_Message_Version &version, TAO_ORB_Core *orb_core)
| Profile constructor.
| TAO_UIOP_Profile (TAO_ORB_Core *orb_core)
| Profile constructor, default.
| ~TAO_UIOP_Profile (void)
| Destructor is to be called only through <_decr_refcnt>.
virtual char * | to_string (ACE_ENV_SINGLE_ARG_DECL)
| Template methods. Please see Profile.h for documentation.
virtual int | encode_endpoints (void)
virtual TAO_Endpoint * | endpoint (void)
virtual CORBA::ULong | endpoint_count (void) const
virtual CORBA::ULong | hash (CORBA::ULong max ACE_ENV_ARG_DECL)
void | add_endpoint (TAO_UIOP_Endpoint *endp)
## Static Public Methods
const char * | prefix (void)
| Return the char string prefix.
## Static Public Attributes
const char | object_key_delimiter_ = '|'
| The object key delimiter that UIOP uses or expects.
## Protected Methods
virtual int | decode_profile (TAO_InputCDR &cdr)
virtual void | parse_string_i (const char *string ACE_ENV_ARG_DECL)
virtual void | create_profile_body (TAO_OutputCDR &cdr) const
virtual int | decode_endpoints (void)
virtual CORBA::Boolean | do_is_equivalent (const TAO_Profile *other_profile)
## Private Attributes
TAO_UIOP_Endpoint | endpoint_
CORBA::ULong | count_
| Number of endpoints in the list headed by <endpoint_>.

## Detailed Description

This class defines the protocol specific attributes required for locating ORBs over local IPC.

This class defines the UIOP profile.

## Constructor & Destructor Documentation

TAO_UIOP_Profile::TAO_UIOP_Profile | ( | const ACE_UNIX_Addr & | addr,
|  | const TAO::ObjectKey & | object_key,
|  | const TAO_GIOP_Message_Version & | version,
|  | TAO_ORB_Core * | orb_core
| ) |

| Profile constructor, same as above except the object_key has already been marshaled. (actually, no marshalling for this protocol)

TAO_UIOP_Profile::TAO_UIOP_Profile | ( | const char * | rendezvous_point,
|  | const TAO::ObjectKey & | object_key,
|  | const ACE_UNIX_Addr & | addr,
|  | const TAO_GIOP_Message_Version & | version,
|  | TAO_ORB_Core * | orb_core
| ) |

| Profile constructor.

TAO_UIOP_Profile::TAO_UIOP_Profile | ( | TAO_ORB_Core * | orb_core | ) |

| Profile constructor, default.

TAO_UIOP_Profile::~TAO_UIOP_Profile | ( | void |  | ) |

| Destructor is to be called only through <_decr_refcnt>.

## Member Function Documentation

void TAO_UIOP_Profile::add_endpoint | ( | TAO_UIOP_Endpoint * | endp | ) |

| Add <endp> to this profile's list of endpoints (it is inserted next to the head of the list). This profiles takes ownership of <endp>.

void TAO_UIOP_Profile::create_profile_body | ( | TAO_OutputCDR & | cdr | ) | const`[protected, virtual]`

| Implements TAO_Profile.

int TAO_UIOP_Profile::decode_endpoints | ( | void |  | ) | `[protected, virtual]`

| Implements TAO_Profile.

int TAO_UIOP_Profile::decode_profile | ( | TAO_InputCDR & | cdr | ) | `[protected, virtual]`

| Protected template methods. Please see documentation in Profile.h for details. Implements TAO_Profile.

CORBA::Boolean TAO_UIOP_Profile::do_is_equivalent | ( | const TAO_Profile * | other_profile | ) | `[protected, virtual]`

| Implements TAO_Profile.

int TAO_UIOP_Profile::encode_endpoints | ( | void |  | ) | `[virtual]`

| Implements TAO_Profile.

TAO_Endpoint * TAO_UIOP_Profile::endpoint | ( | void |  | ) | `[virtual]`

| Implements TAO_Profile.

CORBA::ULong TAO_UIOP_Profile::endpoint_count | ( | void |  | ) | const`[virtual]`

| Implements TAO_Profile.

CORBA::ULong TAO_UIOP_Profile::hash | ( | CORBA::ULong max | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Implements TAO_Profile.

char TAO_UIOP_Profile::object_key_delimiter | ( | void |  | ) | const`[virtual]`

| Implements TAO_Profile.

void TAO_UIOP_Profile::parse_string_i | ( | const char *string | ACE_ENV_ARG_DECL | ) | `[protected, virtual]`

| Implements TAO_Profile.

const char * TAO_UIOP_Profile::prefix | ( | void |  | ) | `[static]`

| Return the char string prefix.

char * TAO_UIOP_Profile::to_string | ( | ACE_ENV_SINGLE_ARG_DECL |  | ) | `[virtual]`

| Template methods. Please see Profile.h for documentation. Implements TAO_Profile.

## Member Data Documentation

CORBA::ULong TAO_UIOP_Profile::count_`[private]`

| Number of endpoints in the list headed by <endpoint_>.

TAO_UIOP_Endpoint TAO_UIOP_Profile::endpoint_`[private]`

| Head of this profile's list of endpoints. This endpoint is not dynamically allocated because a profile always contains at least one endpoint. Currently, a profile contains more than one endpoint, i.e., list contains more than just the head, only when RTCORBA is enabled. However, in the near future, this will be used in nonRT mode as well, e.g., to support a la TAG_ALTERNATE_IIOP_ADDRESS feature. Addressing info of the default endpoint, i.e., head of the list, is transmitted using standard UIOP ProfileBody components. See <encode_endpoints> method documentation above for how the rest of the endpoint list is transmitted.

const char TAO_UIOP_Profile::object_key_delimiter_ = '|'`[static]`

| The object key delimiter that UIOP uses or expects.

The documentation for this class was generated from the following files:

- UIOP_Profile.h
- UIOP_Profile.cpp